# Shortcuts
alias btctl="bluetoothctl"
alias code="codium --enable-features=UseOzonePlatform --ozone-platform=wayland"
alias cl="clear"
alias exa="exa -aFghl --color=always --git --icons"
alias l="lsd -hlA --color=always"
alias la="lsd -hl --color=always"
alias ll="lsd -hlaF --color=always"
alias q="exit"
alias tree="exa --color=always --tree -I '.git'"
alias u="paru; echo; doas npm update -g"

# File management
alias cp="cp -iv"
alias mkdir="mkdir -pv"
alias mv="mv -iv"
alias rm="rm -iv"
alias srm="srm -iv"

# Passwordless doas
alias poweroff="doas poweroff"
alias reboot="doas reboot"

# sudoedit for doas (hacky solution)
alias doasedit="doas -L; doas sh -c '$EDITOR /etc/doas.conf; doas -C /etc/doas.conf && echo ok || echo error'; doas -L"
